# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-Devel-PartialDump
Version:	0.15
Release:	3.%{__distinit}%{__distvers}
Summary:	Partial dumping of data structures, optimized for argument printing
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/Devel-PartialDump/
Source0:	http://www.cpan.org/authors/id/F/FL/FLORA/Devel-PartialDump-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildRequires:	perl(ExtUtils::MakeMaker)
# Moose has a manual dependency on Devel::PartialDump for enhanced reporting
# Devel::PartialDump itself requires Moose, so when bootstrapping we do a blind
# build of Devel::PartialDump without running the test suite, then build Moose,
# then rebuild Devel::PartialDump with Moose, running the test suite
%if 0%{!?perl_bootstrap:1}
BuildRequires:	perl(Moose)
%endif
BuildRequires:	perl(namespace::clean) >= 0.20
BuildRequires:	perl(Sub::Exporter)
BuildRequires:	perl(Test::use::ok)
BuildRequires:	perl(Test::Warn) >= 0.21
Requires:	perl(namespace::clean) >= 0.20
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Filter bogus provide of perl(DB) - with rpm >= 4.9
%global __provides_exclude perl\\(DB\\)

%description
This module is a data dumper optimized for logging of arbitrary parameters.

%prep
%setup -q -n Devel-PartialDump-%{version}

# Filter bogus provide of perl(DB) - with rpm < 4.9
%global provfilt /bin/sh -c "%{__perl_provides} | grep -vx 'perl(DB)'"
%define __perl_provides %{provfilt}


%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
%{_fixperms} %{buildroot}

%check
%if 0%{!?perl_bootstrap:1}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/Devel/
%{_mandir}/man3/Devel::PartialDump.3pm*

%changelog
* Mon Feb 13 2012 Paul Howarth <paul@city-fan.org> - 0.15-3
- Bump perl(namespace::clean) version requirement to 0.20
- Don't BR: perl(Moose) or run the test suite when bootstrapping

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> - 0.15-2
- Rebuild for perl 5.14.1 in Rawhide
- Fix dist tag for CentOS 6 and Scientific Linux

* Fri May  6 2011 Paul Howarth <paul@city-fan.org> - 0.15-1
- Update to 0.15:
  - Don't go into an infinite loop when dumping references to references
  - Dump LVALUE references properly

* Sat Apr 29 2011 Paul Howarth <paul@city-fan.org> - 0.14-2
- Import from Fedora

* Wed Apr 27 2011 Iain Arnell <iarnell@gmail.com> - 0.14-1
- Update to latest upstream version
- Clean up spec for modern rpmbuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Sun Jul 04 2010 Iain Arnell <iarnell@gmail.com> - 0.13-1
- Specfile autogenerated by cpanspec 1.78
